<div fxLayout="row"fxLayoutAlign="center center"mat-button *ngIf="isAdmin">
  <button mat-raised-button color="primary" class="nuevo" [routerLink]="['/product-create']"> Crear producto</button>
  <button mat-raised-button color="primary" class="nuevo" [routerLink]="['/crear-usuario']"> Crear usuario</button>

</div>

<div fxLayout="row"  >
  <div fxFlex="100">

    <table mat-table [dataSource]="lista">
      <!--- Note that these columns can be defined in any order.
              The actual rendered columns are set as a property on the row definition" -->

      <!-- Position Column -->
      <ng-container matColumnDef="usuarId">
        <th mat-header-cell *matHeaderCellDef>usuarId.</th>
        <td mat-cell *matCellDef="let element">{{ element.usuarId }}</td>
      </ng-container>

      <!-- weight Column -->
      <ng-container matColumnDef="Nombre">
        <th mat-header-cell *matHeaderCellDef>Nombre</th>
        <td mat-cell *matCellDef="let element">{{ element.Nombre }}</td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="Correo">
        <th mat-header-cell *matHeaderCellDef>Correo</th>
        <td mat-cell *matCellDef="let element">{{ element.Correo }}</td>
      </ng-container>


      <!-- status Column -->
      <ng-container matColumnDef="Domicilio">
        <th mat-header-cell *matHeaderCellDef>Domicilio</th>
        <td mat-cell *matCellDef="let element">{{ element.Domicilio }}</td>
      </ng-container>

      <ng-container matColumnDef="Administrador">
        <th mat-header-cell *matHeaderCellDef>Administrador</th>
        <td mat-cell *matCellDef="let element">{{ element.Admininistrador}}</td>
      </ng-container>

       <!-- TypeProduct Column -->
       <ng-container matColumnDef="Telefono">
        <th mat-header-cell *matHeaderCellDef>Telefono</th>
        <td mat-cell *matCellDef="let element">{{ element.Telefono }}</td>
      </ng-container>

      <ng-container matColumnDef="editarusuario">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <button mat-raised-button color="primary" class="nuevo" [routerLink]="['/usuario', element.usuarioId]" *ngIf="isAdmin"> Editar usuario</button>

        </td>
      </ng-container>

      <ng-container matColumnDef="verusuario">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <button mat-raised-button color="primary" class="nuevo" [routerLink]="['/usuario', element.usuarioId]"> Ver usuario</button>
        </td>
      </ng-container>

      <ng-container matColumnDef="eliminarusuario">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <button mat-raised-button color="primary" class="nuevo" (click)="onDelete(element.usuarioId)" *ngIf="isAdmin"> Eliminar usuario</button>
        </td></ng-container
      >

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </div>
</div>
